import { IRequestOptions, IMethods } from "./interfaces";
/**
 * Make requests to NameMC API
 * @example
 * Get player friends
 * ```
 * const api = new API();
 *
 * api.profile.friends({
 *     target: '2e9d9da1-97e9-4564-890b-6f056c4e372f'
 * });
 * ```
 */
export declare class API implements IMethods {
    /**
     * @hidden
     */
    private worker;
    /**
     * @hidden
     */
    constructor();
    /**
     * @hidden
     */
    get [Symbol.toStringTag](): string;
    /**
     * @hidden
     */
    protected request({ group, target, prop, params }: IRequestOptions): Promise<any>;
}
export interface API extends IMethods {
}
