import * as axios from "axios";
import { API } from "./API";
import { Options } from "./Options";
import { ServerContext, SkinContext } from "./contexts";
import AxiosInstance = axios.AxiosInstance;
/**
 * @hidden
 */
export declare abstract class DataParser {
    abstract readonly options: Options;
    abstract readonly client: AxiosInstance;
    abstract readonly api: API;
    /**
     * @hidden
     */
    protected parseSkins(data: string): SkinContext[];
    /**
     * @hidden
     */
    protected parseServers(data: string): ServerContext[];
    /**
     * @hidden
     */
    protected getProfileId(data: string): string;
}
