import { Context } from "./context";
import { kSerializeData } from "../utils";
import { ICapeContext, ICapeContextOptions } from "../interfaces";
export declare class CapeContext extends Context<ICapeContext> implements ICapeContext {
    /**
     * Cape hash
     */
    readonly hash: ICapeContext["hash"];
    /**
     * @hidden
     */
    protected endpoint: string;
    /**
     * @hidden
     */
    constructor({ hash, ...options }: ICapeContextOptions);
    /**
     * Get cape url
     */
    get url(): ICapeContext["url"];
    /**
     * Get cape type
     */
    get type(): ICapeContext["type"];
    /**
     * Get cape name
     */
    get name(): ICapeContext["name"];
    /**
     * Check is Minecraft cape
     */
    get isMinecraft(): boolean;
    /**
     * Check is Optifine cape
     */
    get isOptifine(): boolean;
    /**
     * @hidden
     */
    [kSerializeData](): ICapeContext;
}
