import { ContextUnion, IContextOptions } from "../interfaces";
import { kSerializeData } from "../utils";
/**
 * @hidden
 */
export declare class Context<T extends ContextUnion> {
    /**
     * Parameters passed to the constructor during NameMC class initialization
     *
     * @hidden
     */
    readonly options: IContextOptions["options"];
    /**
     * Class for API Requests
     *
     * @hidden
     */
    readonly api: IContextOptions["api"];
    /**
     * Axios Client for requests
     *
     * @hidden
     */
    readonly client: IContextOptions["client"];
    /**
     * @hidden
     */
    payload: Record<string, any>;
    /**
     * @hidden
     */
    constructor({ options, client, api, payload }: IContextOptions);
    /**
     * @hidden
     */
    protected setupPayload(): void;
    /**
     * Get context JSON
     */
    toJSON(): T;
    /**
     * @hidden
     */
    [kSerializeData](): any;
}
