import { Element } from "cheerio";
import { Username } from "./interfaces";
export declare const steveSkinHash = "12b92a9206470fe2";
export declare const nameRegExp: RegExp;
export declare const profileRegExp: RegExp;
export declare const profileSkinsRegExp: RegExp;
export declare const skinRegExp: RegExp;
export declare const serverRegExp: RegExp;
export declare const kSerializeData: unique symbol;
/**
 * Minecraft HEX colors
 */
export declare enum Color {
    BLACK = "000000",
    DARK_BLUE = "0000AA",
    DARK_GREEN = "00AA00",
    DARK_AQUA = "00AAAA",
    DARK_RED = "AA0000",
    DARK_PURPLE = "AA00AA",
    GOLD = "FFAA00",
    GRAY = "AAAAAA",
    DARK_GRAY = "AAAAAA",
    BLUE = "5555FF",
    GREEN = "55FF55",
    AQUA = "55FFFF",
    RED = "FF5555",
    LIGHT_PURPLE = "FF55FF",
    YELLOW = "FFFF55",
    WHITE = "FFFFFF",
    RESET = "AAAAAA"
}
/**
 * Minecraft formatting css styles
 */
export declare enum Style {
    BOLD = "font-weight: bold;",
    UNDERLINED = "text-decoration: underline;",
    STRIKETHROUGH = "text-decoration: line-through;",
    ITALIC = "font-style: italic;"
}
export declare function getUUID(endpoint: string, username: string): Promise<Username>;
export declare function escapeColorsClasses(elements: Element[]): any[];
export declare function escapeHtml(elements: Element[]): string;
export declare function parseDuration(duration: string): number;
export declare function applyPayload<T, P>(context: T, payload: P): void;
export declare function pickProperties<T, K extends keyof T>(params: T, properties: K[]): Pick<T, K>;
export declare function convertDate(fullDate: string): number;
